# class Puppet::ModuleTool::Errors::ModuleToolError

### Public Instance Methods

v(version) click to toggle source

    # File lib/puppet/module_tool/errors/base.rb, line 3
    def v(version)
      (version || '???').to_s.sub(/^(?=\d)/, 'v')
    end

vstring() click to toggle source

    # File lib/puppet/module_tool/errors/base.rb, line 7
    def vstring
      if @action == :upgrade
        "#{v(@installed_version)} -> #{v(@requested_version)}"
      else
        "#{v(@installed_version || @requested_version)}"
      end
    end